Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1809184 - ovs-dpctl-top breaks with --help or -h
Summary: ovs-dpctl-top breaks with --help or -h
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux Fast Datapath
Classification: Red Hat
Component: openvswitch2.13
Version: RHEL 8.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Aaron Conole
QA Contact: Jiying Qiu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-02 14:42 UTC by Flavio Leitner
Modified: 2020-11-03 15:18 UTC (History)
4 users (show)

Fixed In Version: openvswitch2.13-2.13.0-42.el8fdp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-03 15:18:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Flavio Leitner 2020-03-02 14:42:48 UTC
Description of problem:

[root@localhost ~]# ovs-dpctl-top --help
  File "/usr/bin/ovs-dpctl-top", line 595
    except ValueError, arg:
                     ^
SyntaxError: invalid syntax
[root@localhost ~]# rpm -qf $(which ovs-dpctl-top)
openvswitch2.13-2.13.0-4.el8fdp.x86_64
[root@localhost ~]# 

ovs-dpctl-top(8)  Open vSwitch Manual ovs-dpctl-top(8)

NAME
       ovs-dpctl-top - Top like behavior for ovs-dpctl dump-flows

SYNOPSIS
       ovs-dpctl-top [-h] [-v] [-f FLOWFILES] [-V] [-s] [--host HOST] [-a | --accumulate] [--accumulate-decay ACCUMULATEDECAY] [-d DELAY]
[...]

  OPTIONS
       -h, --help
              show this help message and exit.


[root@localhost ~]# ovs-dpctl-top -h
  File "/usr/bin/ovs-dpctl-top", line 595
    except ValueError, arg:
                     ^
SyntaxError: invalid syntax

Comment 1 Flavio Leitner 2020-11-03 15:18:58 UTC
* Wed Jul 15 2020 Flavio Leitner <fbl@redhat.com> - 2.13.0-42
- Merging upstream branch-2.13 to fast-datapath-rhel-8
  [735b3f94c2655e930b0ee86556eb01191518f7e8]


commit 735b3f94c2655e930b0ee86556eb01191518f7e8 (HEAD)
Merge: a61f1d1095 bef407fa7f
Author: Flavio Leitner <fbl@sysclose.org>
Date:   Tue Jul 14 23:04:07 2020 -0300

    Merging upstream branch-2.13 to fast-datapath-rhel-8
    
    Commit list:
    bef407fa7f dpdk: Use DPDK 19.11.2 release.
[...]
   f0c8b44c58 ovsdb-server: Don't disconnect clients after raft install_snapsho
t.
    78c8011f58 raft-rpc: Fix message format.
>   f0de491257 ovs-dpctl-top: python3 compatibility
    00dd014519 dpif-netdev.at: Fix partial offloading test cases failure.
    6f86b10549 userspace TSO: SCTP checksum offload optional.
    b837d1fdc4 userspace TSO: Include UDP checksum offload.


Note You need to log in before you can comment on or make changes to this bug.